1.0
1.0
get /v1/security-group-rules/{security_group_rule_id}
Description
Show Security Group rule.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | security_group_rule_id required | Security Group Rule ID Example : | string | None |
| query | fields optional | Field Name Example : | any of [array[object], string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SecurityGroupRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/security-group-rules/{security_group_rule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"
Example HTTP response
Response 200
{
"security_group_rule": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"direction": "ingress",
"ethertype": "IPv4",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"port_range_max": "",
"port_range_min": "",
"protocol": "",
"remote_group_id": "",
"remote_group_name": "",
"remote_ip_prefix": "",
"security_group_id": ""
}
}